Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.tasks.wrapper
[Java] Class Wrapper

    java.lang.Object
      org.gradle.api.internal.AbstractTask
          org.gradle.api.DefaultTask
              org.gradle.api.tasks.wrapper.Wrapper

    public class Wrapper
    extends DefaultTask

Generates scripts (for *nix and windows) which allow you to build your project with Gradle, without having to install Gradle.

When a user executes a wrapper script the first time, the script downloads and installs the appropriate Gradle distribution and runs the build against this downloaded distribution. Any installed Gradle distribution is ignored when using the wrapper scripts.

The scripts generated by this task are intended to be committed to your version control system. This task also generates a small `gradle-wrapper.jar` bootstrap JAR file and properties file which should also be committed to your VCS. The scripts delegates to this JAR.

Authors:
  Hans Dockter

Nested Class Summary
`enum` | `Wrapper.PathBase` Specifies how the wrapper path should be interpreted.

Field Summary
`static String` | `DEFAULT_DISTRIBUTION_PARENT_NAME`

Constructor Summary
`Wrapper()`

Method Summary
`Wrapper.PathBase` | `getArchiveBase()` The archive base specifies whether the unpacked wrapper distribution should be stored in the project or in the gradle user home dir.
`String` | `getArchivePath()` Returns the path where the gradle distributions archive should be saved (i.e. the parent dir).
`File` | `getBatchScript()` Returns the file to write the wrapper batch script to.
`Wrapper.PathBase` | `getDistributionBase()` The distribution base specifies whether the unpacked wrapper distribution should be stored in the project or in the gradle user home dir.
`String` | `getDistributionPath()` Returns the path where the gradle distributions needed by the wrapper are unzipped.
`String` | `getDistributionUrl()` The URL to download the gradle distribution from.
`String` | `getGradleVersion()` Returns the gradle version for the wrapper.
`File` | `getJarFile()` Returns the file to write the wrapper jar file to.
`File` | `getPropertiesFile()` Returns the file to write the wrapper properties to.
`File` | `getScriptFile()` Returns the file to write the wrapper script to.
`void` | `setArchiveBase(Wrapper.PathBase archiveBase)` The archive base specifies whether the unpacked wrapper distribution should be stored in the project or in the gradle user home dir.
`void` | `setArchivePath(String archivePath)` Set's the path where the gradle distributions archive should be saved (i.e. the parent dir).
`void` | `setDistributionBase(Wrapper.PathBase distributionBase)` The distribution base specifies whether the unpacked wrapper distribution should be stored in the project or in the gradle user home dir.
`void` | `setDistributionPath(String distributionPath)` Sets the path where the gradle distributions needed by the wrapper are unzipped.
`void` | `setDistributionUrl(String url)`
`void` | `setGradleVersion(String gradleVersion)` The version of the gradle distribution required by the wrapper.
`void` | `setJarFile(Object jarFile)`
`void` | `setScriptFile(Object scriptFile)`

Field Detail

### DEFAULT_DISTRIBUTION_PARENT_NAME

    public static final String DEFAULT_DISTRIBUTION_PARENT_NAME

Constructor Detail

### Wrapper

    public Wrapper()

Method Detail

### getArchiveBase

    public Wrapper.PathBase getArchiveBase()

  The archive base specifies whether the unpacked wrapper distribution should be stored in the project or in the gradle user home dir.

### getArchivePath

    public String getArchivePath()

  Returns the path where the gradle distributions archive should be saved (i.e. the parent dir). The path is relative to the archive base directory.

### getBatchScript

    @OutputFile
    public File getBatchScript()

  Returns the file to write the wrapper batch script to.

### getDistributionBase

    public Wrapper.PathBase getDistributionBase()

  The distribution base specifies whether the unpacked wrapper distribution should be stored in the project or in the gradle user home dir.

### getDistributionPath

    public String getDistributionPath()

  Returns the path where the gradle distributions needed by the wrapper are unzipped. The path is relative to the distribution base directory
  See Also:
    setDistributionPath(String)

### getDistributionUrl

    @Input
    public String getDistributionUrl()

  The URL to download the gradle distribution from.

  If not set, the download URL is the default for the specified getGradleVersion().

  If getGradleVersion() is not set, will return null.

  The wrapper downloads a certain distribution only once and caches it. If your distribution base is the project, you might submit the distribution to your version control system. That way no download is necessary at all. This might be in particular interesting, if you provide a custom gradle snapshot to the wrapper, because you don't need to provide a download server then.

### getGradleVersion

    public String getGradleVersion()

  Returns the gradle version for the wrapper.
  See Also:
    setGradleVersion(String)

### getJarFile

    @OutputFile
    public File getJarFile()

  Returns the file to write the wrapper jar file to.

### getPropertiesFile

    @OutputFile
    public File getPropertiesFile()

  Returns the file to write the wrapper properties to.

### getScriptFile

    @OutputFile
    public File getScriptFile()

  Returns the file to write the wrapper script to.

### setArchiveBase

    public void setArchiveBase(Wrapper.PathBase archiveBase)

  The archive base specifies whether the unpacked wrapper distribution should be stored in the project or in the gradle user home dir.

### setArchivePath

    public void setArchivePath(String archivePath)

  Set's the path where the gradle distributions archive should be saved (i.e. the parent dir). The path is relative to the parent dir specified with getArchiveBase().

### setDistributionBase

    public void setDistributionBase(Wrapper.PathBase distributionBase)

  The distribution base specifies whether the unpacked wrapper distribution should be stored in the project or in the gradle user home dir.

### setDistributionPath

    public void setDistributionPath(String distributionPath)

  Sets the path where the gradle distributions needed by the wrapper are unzipped. The path is relative to the distribution base directory
  See Also:
    setDistributionPath(String)

### setDistributionUrl

    public void setDistributionUrl(String url)

### setGradleVersion

    public void setGradleVersion(String gradleVersion)

  The version of the gradle distribution required by the wrapper. This is usually the same version of Gradle you use for building your project.

### setJarFile

    public void setJarFile(Object jarFile)

### setScriptFile

    public void setScriptFile(Object scriptFile)

Gradle API 1.1-rc-1